Bug 553112 - Cannot 'standby' guest RHEL5.5
Cannot 'standby' guest RHEL5.5
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-01-07 01:00 EST by Yolkfull Chow
Modified: 2013-12-08 19:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 03:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yolkfull Chow 2010-01-07 01:00:03 EST
Description of problem:
Found there is no 'standby' in '/sys/power/state'. Cannot guest RHEL-5.5 detect ACPI 'standby' or it doesn't support at all? Tested this on real HW installed RHEL-Server-5.5, worked fine.


Version-Release number of selected component (if applicable):
Guest kernel: 2.6.18-182.el5

How reproducible:
Everytime

Steps to Reproduce:
1. Start guest: #/root/autotest/client/tests/kvm/qemu -name 'vm1' -monitor tcp:0:6001,server,nowait -drive file=/root/autotest/client/tests/kvm/images/RHEL-Server-5.4-32.qcow2,if=ide,boot=on -net nic,vlan=0,model=e1000,macaddr=00:AE:9D:90:9C:00 -net tap,vlan=0,ifname=e1000_0_6001,script=/root/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no -m 512 -smp 1 -usbdevice tablet -rtc-td-hack -no-hpet -cpu qemu64,+sse2 -no-kvm-pit-reinjection -vnc :0
2. entered into guest, issue command: #cat /sys/power/state
(or issue: #echo standby > /sys/power/state
3. cannot find 'standby' in power-state file (cannot standby guest)
  
Actual results:
Cannot find 'standby'

Expected results:
Can standby guest like host which is 5.5 as well

Additional info:
Comment 3 Gleb Natapov 2010-06-30 03:36:41 EDT
We do not support "standby" (S1) in kvm. The only states that are supported: "mem" (S3) and "disk" (S4). And S3 is only supported for windows WHQL testing so after entering this state kmv immediately resumes. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.